summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2016-01-16 00:58:17 -0500
committerTim Harder <radhermit@gentoo.org>2016-01-16 00:58:17 -0500
commit978d4877831e37907b40512ef20f03a241854ab5 (patch)
treeab334cc57200059176f6144f9e82670747cc5ce3 /dev-vcs/hgview
parentapp-text/ansifilter: remove old (diff)
downloadgentoo-978d4877831e37907b40512ef20f03a241854ab5.tar.gz
gentoo-978d4877831e37907b40512ef20f03a241854ab5.tar.bz2
gentoo-978d4877831e37907b40512ef20f03a241854ab5.zip
dev-vcs/hgview: version bump to 1.9.0
Diffstat (limited to 'dev-vcs/hgview')
-rw-r--r--dev-vcs/hgview/Manifest1
-rw-r--r--dev-vcs/hgview/hgview-1.9.0.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/dev-vcs/hgview/Manifest b/dev-vcs/hgview/Manifest
index 6dc0435f0e6..5b0e501b5b4 100644
--- a/dev-vcs/hgview/Manifest
+++ b/dev-vcs/hgview/Manifest
@@ -2,3 +2,4 @@ DIST hgview-1.7.1.tar.gz 307250 SHA256 633862c3a2313e5f2432f19b9da9fa19a1ca8f2f2
DIST hgview-1.8.0.tar.gz 177390 SHA256 21cbead835113cc307c2f9982805ba6621513260c44d3102d05f1a903ec4caec SHA512 8c432517d17253def8f2aefc5d5b2d7b7b4f422bf0f97d3a53501d9a3e1e023f6bf76a100d95479f93a0dcaa6816364a56a12e07467dfcb1a205b151d8115c47 WHIRLPOOL c8cb26d73be17cd43e9f07e222b3b41680d09b7f077519f50e076be17d98b450b445089c33f59fd3703c9a245de8e64756f745c8bda22418445a940bd933d15b
DIST hgview-1.8.1.tar.gz 177648 SHA256 8a24899f050a8f6dba8d4b3d3bc31532e375b1a8e6012a9baaaf2a48a188f72c SHA512 2d7431acf15519a0ea87ae338bc1bb70f88cc456dec424aab0e7a5c258e8e8617133366fd7ad05a3ca4d740261f245757494f95de75e0a1fb1f756cf9728aa25 WHIRLPOOL d7dad115b5aa83ac3115e3f05154bd509f96a886ebbad0d01bbb0072bb22ea4ef84b76f4aa51514e17a3a2cd49814479045b1d1c76d0a2b8a2caa5fe1d96e115
DIST hgview-1.8.2.tar.gz 178453 SHA256 0f4c2d7e40d3c6ab7a444502366ee262fdb6caca97c321e78d4e430e71a04655 SHA512 9bab867ebda22d730ea6e846523c2426ea88275a56ddc8546bd874266d2a9742abcb22bcd4a8f4bbd6b6deffbaac7b4a365117dd7a040a86f68e4f43bd793b6f WHIRLPOOL 744b3ab9af3cefa92d53645febaacf9b4e33ec1eb174763fe6e20e5f8c9ae610d9e84c898fe53dde14a5d58a8ee6f1d359731b656c92ed7ca0e38d079e05355a
+DIST hgview-1.9.0.tar.gz 181130 SHA256 8b2e5e10544deaa79ba9ef3f6339e103af357edbeb4b2594be079fddf7b8e6ed SHA512 604631776e096daf27241e8387d6fddfb9b3f2c54dbfccc95e770ebf2d5d27f64009c3698cf0d427f9a89e073db0d8d7623d57969ca6fcf036d5cb1dbd74eece WHIRLPOOL 01d29625a136664f35f2241c546b4af52853ea78fff31089d83ebb4a1718e4d64571df6a61f217aec6919b6bb27c35cf092195fa56efcffb3ad16e1bb714a397
diff --git a/dev-vcs/hgview/hgview-1.9.0.ebuild b/dev-vcs/hgview/hgview-1.9.0.ebuild
new file mode 100644
index 00000000000..7f380288c94
--- /dev/null
+++ b/dev-vcs/hgview/hgview-1.9.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit distutils-r1
+
+DESCRIPTION="A Mercurial interactive history viewer"
+HOMEPAGE="http://www.logilab.org/project/hgview/ https://pypi.python.org/pypi/hgview/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc ncurses +qt4"
+REQUIRED_USE="|| ( ncurses qt4 )"
+
+RDEPEND="dev-vcs/mercurial[${PYTHON_USEDEP}]
+ ncurses? (
+ >=dev-python/urwid-1.0.0[${PYTHON_USEDEP}]
+ dev-python/pyinotify[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ )
+ qt4? (
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/PyQt4[X,${PYTHON_USEDEP}]
+ dev-python/qscintilla-python[${PYTHON_USEDEP}]
+ )"
+DEPEND="${RDEPEND}
+ doc? (
+ app-text/asciidoc
+ app-text/xmlto
+ )"
+
+python_configure_all() {
+ mydistutilsargs=(
+ build $(use doc || echo --no-doc)
+ build $(use ncurses || echo --no-curses)
+ build $(use qt4 || echo --no-qt)
+ )
+}
+
+src_prepare() {
+ # https://www.logilab.org/ticket/103668
+ sed -i \
+ -e 's:MANDIR=$(PREFIX)/man:MANDIR=$(PREFIX)/share/man:' \
+ -e 's:$(INSTALL) $$i:$(INSTALL) -m 644 $$i:' \
+ doc/Makefile || die
+
+ distutils-r1_src_prepare
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ # Install Mercurial extension config file
+ insinto /etc/mercurial/hgrc.d
+ doins hgext/hgview.rc
+}